Bank Feed Contacts

The BankFeedContact Object

A Rutter Bank Feed Contact represents the contact information associated with a bank account, including account holders, email addresses, physical addresses, and phone numbers. This data is sourced from Financial Institutions via the FDX /contact endpoint and can be used to verify account ownership and maintain up-to-date contact details.

Properties

idstring

The Rutter generated unique ID of the bank feed contact.

emailsarray

Email addresses associated with the account.

String array.

phonesarray

Phone numbers for account contact.

Show phones attributes
account_holdersarray

Account holders with no correlation to their contact details.

Show account_holders attributes
addressesarray

Physical mailing locations connected to the account.

Show addresses attributes
last_synced_atstring

The ISO 8601 timestamp when the bank feed contact was last synced by Rutter.

platform_dataobjectOptional

The raw platform data corresponding to the Rutter object.

Endpoints
GET
/accounting/bank_feeds/contacts
GET
/accounting/bank_feeds/contacts/:id
POST
/accounting/bank_feeds/contacts

List Bank Feed Contacts

GEThttps://production.rutterapi.com/versioned/accounting/bank_feeds/contacts

Request Parameters

    access_tokenstringqueryRequired

    The access token of the connection.

    cursorstringqueryOptional

    Used to paginate to the next batch of objects. Should be a copy of the next_cursor value from the previous response.

    limitintegerqueryOptional

    Used to limit the number of returned objects. Defaults to 50.

    filterstringqueryOptional

    Not currently supported on Sage Intacct or Sage Business Cloud. Used to specify a filtering criteria for response objects. Refer to Filtering Objects to understand the syntax for the filtering criteria. The filtering syntax only supports fields decorated with a filterable tag in the response object.

    Filterable fields: last_synced_at.

    sortstringqueryOptional

    Used to sort the response objects, e.g. last_synced_at ASC. If a value is provided but ASC or DESC is not, defaults to ASC. If omitted, defaults to updated_at DESC. Supports only fields decorated with a filterable tag in the response object except on Sage Intacct and Sage Business Cloud. For those platforms, only updated_at_min, updated_at_max and last_synced_at_min fields are supported and not deprecated.

    Sortable fields: last_synced_at.

    expandenumqueryOptional

    Include platform specific data (includes additional fields not provided by the Rutter object).

    Must beplatform_data.
    last_synced_at_minintegerqueryOptional

    Deprecated - use filter instead. Used to filter objects with a last_synced_at value greater than or equal to the supplied value. Should be a Unix time in milliseconds.

    updated_at_maxintegerqueryOptional

    Deprecated - use filter instead. Used to filter objects with a updated_at value less than or equal to the supplied value. Should be a Unix time in milliseconds.

    updated_at_minintegerqueryOptional

    Deprecated - use filter instead. Used to filter objects with a updated_at value greater than or equal to the supplied value. Should be a Unix time in milliseconds.

    force_fetchenumqueryOptional

    Used to force a response even if the underlying connection has not finished its initial sync.

    One oftrue or false.

Response Body

Fetch a Bank Feed Contact

GEThttps://production.rutterapi.com/versioned/accounting/bank_feeds/contacts/:id

Request Parameters

    idstringpathRequired

    The unique ID of the object.

    access_tokenstringqueryRequired

    The access token of the connection.

    force_fetchenumqueryOptional

    Used to force a response even if the underlying connection has not finished its initial sync.

    One oftrue or false.

Response Body

Create a Bank Feed Contact

POSThttps://production.rutterapi.com/versioned/accounting/bank_feeds/contacts

Request Parameters

    access_tokenstringqueryRequired

    The access token of the connection.

Request Body

    response_modeenumOptional

    The response mode for our async endpoints. prefer_sync allows calling the API in a best-effort, synchronous fashion and wait for the response. If this takes too long we will instead return the asynchronous response. This is the default behavior. async makes the API respond with the asynchronous response. See Asynchronous Operations.

    One ofasync or prefer_sync.
    bank_feed_contactobject
    Show bank_feed_contact attributes

Response Body

Have questions?

Contact support for personalized guidance.

Contact support